From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/flaky/
Date: Fri, 6 Nov 2015 10:44:43 +0000 (UTC) [thread overview]
Message-ID: <1446806680.ff4a3a028da4092ec9d222342bada289476e25af.jlec@gentoo> (raw)
commit: ff4a3a028da4092ec9d222342bada289476e25af
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 6 08:39:40 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Nov 6 10:44:40 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff4a3a02
dev-python/flaky: Version Bump
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/flaky/Manifest | 1 +
dev-python/flaky/flaky-2.4.0.ebuild | 8 ++++----
.../flaky/{flaky-2.4.0.ebuild => flaky-2.4.1.ebuild} | 19 +++++++++++++------
3 files changed, 18 insertions(+), 10 deletions(-)
diff --git a/dev-python/flaky/Manifest b/dev-python/flaky/Manifest
index 1dbc211..4b1686b 100644
--- a/dev-python/flaky/Manifest
+++ b/dev-python/flaky/Manifest
@@ -1 +1,2 @@
DIST flaky-2.4.0.tar.gz 27157 SHA256 6446e186674db9d67be5e85857b6e98a68a6491d5d307447d9a1a6721aca9fad SHA512 e3f51dab94a2e2140714f15ae088113c2e5cb65f58d38d5ae20b91c567c207568403c1267edeaf9f0f8c6bec7b03ebb0c02178cca30f3dd3a16aa4d099ca8153 WHIRLPOOL 20571c64d46ebbb87173a0e6bc859473528270c179c7cde045fded2a98708034f95864a92c137596b936f78e21984ca17ec0670063c470f14d1ce6ce1213c70f
+DIST flaky-2.4.1.tar.gz 27430 SHA256 e8e94450c7c5d56bd30e0634fc6c725936e7585322d60469195dfa416c0ab2ea SHA512 2c4736ee370a9462bed29239a525a8a0296ebbb0abc6f194ac36db1fa6fab78d41c3927f1cd3d5c50649f374406e3203c16f0d2f4e3fac6a458392db110ed0f9 WHIRLPOOL a5665b1ae1e8f82ac96ca07675e719f3c5f29a0347c5c5dc1b1badcfc2454b3fa97e9606299f2b23ef30f61a6342d399eedbafb02931b6f9746af6dcc73f53e2
diff --git a/dev-python/flaky/flaky-2.4.0.ebuild b/dev-python/flaky/flaky-2.4.0.ebuild
index 164e33e..47038c6 100644
--- a/dev-python/flaky/flaky-2.4.0.ebuild
+++ b/dev-python/flaky/flaky-2.4.0.ebuild
@@ -32,8 +32,8 @@ RESTRICT=test
python_test() {
nosetests --with-flaky --exclude="pytest|test_nose_options_example" test/ || die
- py.test -k 'example and not nose and not options' --doctest-modules test/·||·die
- py.test -p no:flaky test/test_flaky_pytest_plugin.py·||·die
- nosetests --with-flaky --force-flaky --max-runs 2 test/test_nose_options_example.py ·||·die
- py.test --force-flaky --max-runs 2 test/test_pytest_options_example.py ||·die
+ py.test -k 'example and not nose and not options' --doctest-modules test/ || die
+ py.test -p no:flaky test/test_flaky_pytest_plugin.py || die
+ nosetests --with-flaky --force-flaky --max-runs 2 test/test_nose_options_example.py || die
+ py.test --force-flaky --max-runs 2 test/test_pytest_options_example.py || die
}
diff --git a/dev-python/flaky/flaky-2.4.0.ebuild b/dev-python/flaky/flaky-2.4.1.ebuild
similarity index 78%
copy from dev-python/flaky/flaky-2.4.0.ebuild
copy to dev-python/flaky/flaky-2.4.1.ebuild
index 164e33e..d6d75b8 100644
--- a/dev-python/flaky/flaky-2.4.0.ebuild
+++ b/dev-python/flaky/flaky-2.4.1.ebuild
@@ -27,13 +27,20 @@ DEPEND="${RDEPEND}
)
"
-# https://github.com/box/flaky/issues/72
-RESTRICT=test
+python_prepare_all() {
+ cat >> test/__init__.py <<- EOF
+ # coding: utf-8
+
+ from __future__ import unicode_literals
+ EOF
+
+ distutils-r1_python_prepare_all
+}
python_test() {
nosetests --with-flaky --exclude="pytest|test_nose_options_example" test/ || die
- py.test -k 'example and not nose and not options' --doctest-modules test/·||·die
- py.test -p no:flaky test/test_flaky_pytest_plugin.py·||·die
- nosetests --with-flaky --force-flaky --max-runs 2 test/test_nose_options_example.py ·||·die
- py.test --force-flaky --max-runs 2 test/test_pytest_options_example.py ||·die
+ py.test -k 'example and not nose and not options' --doctest-modules test/ || die
+ py.test -p no:flaky test/test_flaky_pytest_plugin.py || die
+ nosetests --with-flaky --force-flaky --max-runs 2 test/test_nose_options_example.py || die
+ py.test --force-flaky --max-runs 2 test/test_pytest_options_example.py || die
}
next reply other threads:[~2015-11-06 10:44 UTC|newest]
Thread overview: 58+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-11-06 10:44 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-09 13:12 [gentoo-commits] repo/gentoo:master commit in: dev-python/flaky/ Michał Górny
2024-05-09 13:12 Michał Górny
2024-03-30 14:14 Michał Górny
2024-03-30 13:59 Michał Górny
2024-03-13 6:51 Michał Górny
2024-03-11 4:10 Michał Górny
2024-03-05 5:18 Michał Górny
2023-05-23 15:42 Michał Górny
2023-03-03 17:48 Michał Górny
2023-03-03 17:48 Michał Górny
2023-03-03 17:37 Arthur Zamarin
2023-02-01 13:18 Michał Górny
2022-12-25 9:43 Michał Górny
2022-06-10 6:54 Michał Górny
2022-06-10 3:09 Sam James
2022-05-10 10:07 Michał Górny
2022-05-10 10:07 Michał Górny
2021-05-06 18:45 Michał Górny
2020-11-28 15:26 Sam James
2020-10-16 18:22 Michał Górny
2020-09-20 15:38 Michał Górny
2020-09-18 14:48 Michał Górny
2020-09-08 22:46 Sam James
2020-09-08 19:11 Michał Górny
2020-07-10 6:30 Michał Górny
2020-05-25 19:48 Michał Górny
2020-01-26 17:21 Michał Górny
2019-12-24 14:21 Mikle Kolyada
2019-12-19 18:35 Sergei Trofimovich
2019-12-15 13:53 Agostino Sarubbo
2019-12-15 13:36 Sergei Trofimovich
2019-12-15 13:24 Sergei Trofimovich
2019-12-15 11:38 Agostino Sarubbo
2019-12-02 21:13 Aaron Bauman
2019-11-15 23:51 Michał Górny
2019-11-15 23:51 Michał Górny
2019-04-09 1:32 Aaron Bauman
2019-02-27 4:39 Aaron Bauman
2018-11-19 21:15 Fabian Groffen
2018-08-18 3:03 Mikle Kolyada
2018-02-21 22:11 Michał Górny
2017-10-08 16:53 Tim Harder
2017-08-02 4:06 Sebastien Fabbro
2017-08-01 20:06 Michał Górny
2017-05-02 11:58 Michał Górny
2017-01-21 11:48 Jeroen Roovers
2016-12-06 19:35 Markus Meier
2016-11-27 15:09 Tobias Klausmann
2016-11-27 13:51 Tobias Klausmann
2016-11-25 18:54 Agostino Sarubbo
2016-11-25 18:27 Agostino Sarubbo
2016-07-18 9:56 Patrick Lauer
2016-02-18 18:14 Patrick Lauer
2016-01-20 8:20 Justin Lecher
2016-01-07 8:56 Justin Lecher
2015-11-04 14:15 Justin Lecher
2015-11-04 14:15 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1446806680.ff4a3a028da4092ec9d222342bada289476e25af.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox